Failed to synchronize cache for repo 'ubi-8-appstream'

Latest response

Sorry, I didn't found anything related to UBI or YUM, so if this is the wrong product, please tell me, which one I've to choose

I've this docker

FROM registry.access.redhat.com/ubi8/nodejs-10:1-51

USER root

RUN yum update -y -v

And it fails since today:

Step 3/3 : RUN yum update -y -v
 ---> Running in 3b7cef7a4d4f
Loaded plugins: builddep, changelog, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, product-id, repoclosure, repodiff, repograph, repomanage, reposync, subscription-manager, uploadprofile
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
DNF version: 4.0.9
cachedir: /var/cache/dnf
repo: downloading from remote: ubi-8-appstream
Red Hat Universal Base Image 8 (RPMs) - AppStre  96 kB/s | 408 kB     00:04
Cannot download 'https://cdn-ubi.redhat.com/content/public/ubi/dist/ubi8/8/x86_64/appstream/os': Yum repo downloading error: Downloading error(s): repodata/8508f98bcbeb22939bb4d287fb7cbab503853fcb3b9d3c0bc3722aba3cd94d6b-filelists.xml.gz - Cannot download, all mirrors were already tried without success.
Error: Failed to synchronize cache for repo 'ubi-8-appstream'
The command '/bin/sh -c yum update -y -v' returned a non-zero code: 1

Is this an issue on Red Hat side?

The comments of https://access.redhat.com/discussions/4222851?tour=8 didn't help me out, because then I just get this error:

Step 9/11 : RUN rm -f /etc/yum.repos.d/ubi.repo     && yum update -y 
 ---> Running in fc90d8ea250a
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Error: There are no enabled repos.

Responses

The same issue occurred again:

(process:1): librhsm-WARNING **: 07:06:47.684: Found 0 entitlement certificates

(process:1): librhsm-WARNING **: 07:06:47.688: Found 0 entitlement certificates
Downloading metadata...
Downloading metadata...
error: cannot update repo 'ubi-8-appstream': Yum repo downloading error: Downloading error(s): repodata/72cb14ce88683e0eeb080ddd3a8aec3fef76eb602154bd6411be50c85759a3ba-primary.xml.gz - Cannot download, all mirrors were already tried without success; repodata/fc10da73e4004a5a1310c5cf9a7932dcf7b5a900c5eae8b39c60cda4f764353c-filelists.xml.gz - Cannot download, all mirrors were already tried without success; repodata/d5933612d8bfef4b2362a17d32c42497ae224d027a810bc0adb0b51dd6b57018-modules.yaml.gz - Cannot download, all mirrors were already tried without success; repodata/9865f76416d0902ee863bcb37fcfdc7154a3bfd764b7ce5a3bcf5b58468fa81a-updateinfo.xml.gz - Cannot download, all mirrors were already tried without success; Last error: Status code: 404 for https://cdn-ubi.redhat.com/content/public/ubi/dist/ubi8/8/x86_64/appstream/os/repodata/d5933612d8bfef4b2362a17d32c42497ae224d027a810bc0adb0b51dd6b57018-modules.yaml.gz
The command '/bin/sh -c microdnf install wget tar findutils gzip gettext make git' returned a non-zero code: 1

using that Dockerfile:

FROM registry.access.redhat.com/ubi8/ubi-minimal

RUN microdnf install wget tar findutils gzip gettext make git